package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

@Getter
public enum ContentPoolEnum {
    autoArticlePoolLevel1("autoArticlePoolLevel1", "内容池1层"),
    autoArticlePoolLevel2("autoArticlePoolLevel2", "内容池2层"),
    autoArticlePoolLevel3("autoArticlePoolLevel3", "内容池3层"),
    autoArticlePoolLevel4("autoArticlePoolLevel4", "冷启层"),

    ;


    private final String contentPool;
    private final String description;

    ContentPoolEnum(String contentPool, String description) {
        this.contentPool = contentPool;
        this.description = description;
    }

    public static ContentPoolEnum from(String contentPool) {
        for (ContentPoolEnum poolEnum : ContentPoolEnum.values()) {
            if (Objects.equals(poolEnum.contentPool, contentPool)) {
                return poolEnum;
            }
        }
        return autoArticlePoolLevel4;
    }

    public static List<String> getOrderContentPool() {
        List<String> result = new ArrayList<>();
        result.add(autoArticlePoolLevel1.getContentPool());
        result.add(autoArticlePoolLevel2.getContentPool());
        result.add(autoArticlePoolLevel3.getContentPool());
        result.add(autoArticlePoolLevel4.getContentPool());
        return result;
    }
}
