package com.tzld.longarticle.recommend.server.model.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "long_articles_root_source_id")
public class LongArticlesRootSourceId {

    /**
     * rootSourceId
     */
    @Id
    @Column(name = "rootSourceId", nullable = false, unique = true, length = 128,
            columnDefinition = "varchar(128) NOT NULL COMMENT 'rootSourceId'")
    private String rootSourceId;

    /**
     * 账号名字
     */
    @Column(name = "accountName", length = 128,
            columnDefinition = "varchar(128) DEFAULT NULL COMMENT '账号名字'")
    private String accountName;

    /**
     * ghid
     */
    @Column(name = "ghId", length = 16,
            columnDefinition = "varchar(16) DEFAULT NULL COMMENT 'ghid'")
    private String ghId;

    /**
     * 文章标题
     */
    @Column(name = "articleTitle", length = 255,
            columnDefinition = "varchar(255) DEFAULT NULL COMMENT '文章标题'")
    private String articleTitle;

    /**
     * 请求时间
     */
    @Column(name = "requestTime",
            columnDefinition = "int(16) DEFAULT NULL COMMENT '请求时间'")
    private Long requestTime;

    /**
     * 请求trace_id
     */
    @Column(name = "trace_id", length = 255,
            columnDefinition = "varchar(255) DEFAULT NULL COMMENT '请求trace_id'")
    private String traceId;

    /**
     * 状态： 2: 日常发文  1:自动回复文章
     */
    @Column(name = "push_type",
            columnDefinition = "int(11) DEFAULT NULL COMMENT '状态： 2: 日常发文  1:自动回复文章'")
    private Integer pushType;

    /**
     * 视频id
     */
    @Column(name = "video_id",
            columnDefinition = "bigint(16) DEFAULT NULL COMMENT '视频id'")
    private Long videoId;

}
