package com.tzld.longarticle.recommend.server.model.vo;
import lombok.Data;

@Data
public class IntermediateIndicatorsExport {
    // 日期
    private String dateStr = "";
    // 探索-利用类型
    private String type = "";
    // 文章发布槽位
    private Integer articleReleaseSlot = 0;
    // 文章实际发布数
    private Integer actualArticleReleaseCount = 0;
    // 粉丝数
    private Integer fansCount = 0;
    // 文章发布篇数(去重)
    private Integer distinctArticleReleaseCount = 0;
    // 文章发布篇数(去重)/文章实际发布数
    private Double distinctArticleReleaseRatio = 0.0;
    // 文章实际发布数-L1(3-8)
    private Integer actualReleaseCountL1 = 0;
    // 文章实际发布数-L2(次条)
    private Integer actualReleaseCountL2 = 0;
    // 文章实际发布数-L3(小号头条)
    private Integer actualReleaseCountL3 = 0;
    // 文章实际发布数-L4(大号头条)
    private Integer actualReleaseCountL4 = 0;
    // 文章发布篇数(去重)-L1(3-8)
    private Integer distinctReleaseCountL1 = 0;
    // 文章发布篇数(去重)-L2(次条)
    private Integer distinctReleaseCountL2 = 0;
    // 文章发布篇数(去重)-L3(小号头条)
    private Integer distinctReleaseCountL3 = 0;
    // 文章发布篇数(去重)-L4(大号头条)
    private Integer distinctReleaseCountL4 = 0;
    // 文章发布篇数(去重)/文章实际发布数-L1(3-8)
    private Double distinctToActualRatioL1 = 0.0;
    // 文章发布篇数(去重)/文章实际发布数-L2(次条)
    private Double distinctToActualRatioL2 = 0.0;
    // 文章发布篇数(去重)/文章实际发布数-L3(小号头条)
    private Double distinctToActualRatioL3 = 0.0;
    // 文章发布篇数(去重)/文章实际发布数-L4(大号头条)
    private Double distinctToActualRatioL4 = 0.0;
    // 阅读量
    private Integer viewCount = 0;
    // 首层UV
    private Integer firstLayerUV = 0;
    // T+0裂变UV
    private Integer t0FissionUV = 0;
    // 账号-文章相关性均值
    private Double accountArticleRelevanceAvg = 0.0;
    // 阅读量/Base
    private Double viewToBaseRatio = 0.0;
    // 小程序打开率
    private Double miniAppOpenRate = 0.0;
    // T+0裂变率
    private Double t0FissionRate = 0.0;
    // 首层当日带回裂变人/阅读Base
    private Double firstLayerFissionToViewBaseRatio = 0.0;
    // 阅读Base
    private Double viewBase = 0.0;
    // T+0裂变数
    private Integer t0FissionCount = 0;
    // T+1裂变数
    private Integer t1FissionCount = 0;
    // T+2裂变数
    private Integer t2FissionCount = 0;
    // T+0裂变率
    private Double t0FissionRateAgain = 0.0;
    // T+1累积裂变率
    private Double t1CumulativeFissionRate = 0.0;
    // T+2累积裂变率
    private Double t2CumulativeFissionRate = 0.0;
    // 首次探索时间间隔天数均值
    private Double firstExplorationIntervalAvg = 0.0;
    // 文章发布总次数(非无限流)
    private Integer totalArticleReleaseCountNonInfinite = 0;
    // 阅读量 (重复定义，保留以防需要)
    private Integer redundantViewCount = 0;
    // 首层UV (重复定义，保留以防需要)
    private Integer redundantFirstLayerUV = 0;
    // T+0裂变UV (重复定义，保留以防需要)
    private Integer redundantT0FissionUV = 0;
    // 账号-文章相关性均值 (重复定义，保留以防需要)
    private Double redundantAccountArticleRelevanceAvg = 0.0;
    // 均值(阅读量/Base)
    private Double averageViewToBaseRatio = 0.0;
    // 均值(小程序打开率)
    private Double averageMiniAppOpenRate = 0.0;
    // 均值(T+0裂变率)
    private Double averageT0FissionRate = 0.0;
    // 均值(首层当日带回裂变人/阅读Base)
    private Double averageFirstLayerFissionToViewBaseRatio = 0.0;
    // 阅读Base (重复定义，保留以防需要)
    private Double redundantViewBase = 0.0;

    // 晋级篇数-L2
    private Integer promotionCountL2 = 0;
    // 晋级篇数-L3
    private Integer promotionCountL3 = 0;
    // 晋级篇数-L4
    private Integer promotionCountL4 = 0;
    // 晋级率-L2
    private Double promotionRateL2 = 0.0;
    // 晋级率-L3
    private Double promotionRateL3 = 0.0;
    // 晋级率-L4
    private Double promotionRateL4 = 0.0;
    // T+1日阅读量
    private Integer t1DayViewCount = 0;
    // T+1日首层UV
    private Integer t1DayFirstLayerUV = 0;
    // T+1日T+0裂变UV
    private Integer t1DayT0FissionUV = 0;
    // T+1日账号-文章相关性均值
    private Double t1DayAccountArticleRelevanceAvg = 0.0;
    // T+1日均值(阅读量/Base)
    private Double t1DayAverageViewToBaseRatio = 0.0;
    // T+1日均值(小程序打开率)
    private Double t1DayAverageMiniAppOpenRate = 0.0;
    // T+1日均值(T+0裂变率)
    private Double t1DayAverageT0FissionRate = 0.0;
    // T+1日均值(首层当日带回裂变人/阅读Base)
    private Double t1DayAverageFirstLayerFissionToViewBaseRatio = 0.0;
    // T+1日阅读Base
    private Double t1DayViewBase = 0.0;
    // T+2日阅读量
    private Integer t2DayViewCount = 0;
    // T+2日首层UV
    private Integer t2DayFirstLayerUV = 0;
    // T+2日T+0裂变UV
    private Integer t2DayT0FissionUV = 0;
    // T+2日账号-文章相关性均值
    private Double t2DayAccountArticleRelevanceAvg = 0.0;
    // T+2日均值(阅读量/Base)
    private Double t2DayAverageViewToBaseRatio = 0.0;
    // T+2日均值(小程序打开率)
    private Double t2DayAverageMiniAppOpenRate = 0.0;
    // T+2日均值(T+0裂变率)
    private Double t2DayAverageT0FissionRate = 0.0;
    // T+2日均值(首层当日带回裂变人/阅读Base)
    private Double t2DayAverageFirstLayerFissionToViewBaseRatio = 0.0;
    // T+2日阅读Base
    private Double t2DayViewBase = 0.0;
    // T+3日阅读量
    private Integer t3DayViewCount = 0;
    // T+3日首层UV
    private Integer t3DayFirstLayerUV = 0;
    // T+3日T+0裂变UV
    private Integer t3DayT0FissionUV = 0;
    // T+3日账号-文章相关性均值
    private Double t3DayAccountArticleRelevanceAvg = 0.0;
    // T+3日均值(阅读量/Base)
    private Double t3DayAverageViewToBaseRatio = 0.0;
    // T+3日均值(小程序打开率)
    private Double t3DayAverageMiniAppOpenRate = 0.0;
    // T+3日均值(T+0裂变率)
    private Double t3DayAverageT0FissionRate = 0.0;
    // T+3日均值(首层当日带回裂变人/阅读Base)
    private Double t3DayAverageFirstLayerFissionToViewBaseRatio = 0.0;
    // T+3日阅读Base
    private Double t3DayViewBase = 0.0;
    // T+3+日阅读量
    private Integer t3PlusDayViewCount = 0;
    // T+3+日首层UV
    private Integer t3PlusDayFirstLayerUV = 0;
    // T+3+日T+0裂变UV
    private Integer t3PlusDayT0FissionUV = 0;
    // T+3+日账号-文章相关性均值
    private Double t3PlusDayAccountArticleRelevanceAvg = 0.0;
    // T+3+日均值(阅读量/Base)
    private Double t3PlusDayAverageViewToBaseRatio = 0.0;
    // T+3+日均值(小程序打开率)
    private Double t3PlusDayAverageMiniAppOpenRate = 0.0;
    // T+3+日均值(T+0裂变率)
    private Double t3PlusDayAverageT0FissionRate = 0.0;
    // T+3+日均值(首层当日带回裂变人/阅读Base)
    private Double t3PlusDayAverageFirstLayerFissionToViewBaseRatio = 0.0;
    // T+3+日阅读Base
    private Double t3PlusDayViewBase = 0.0;
}
