package com.tzld.longarticle.recommend.server.remote;

import com.alibaba.fastjson.JSONObject;
import com.tzld.longarticle.recommend.server.common.HttpPoolFactory;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.HttpEntity;
import org.apache.http.StatusLine;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.util.EntityUtils;
import org.springframework.stereotype.Service;

import java.nio.charset.StandardCharsets;
import java.util.*;

/**
 * @author dyp
 */
@Service
@Slf4j
public class WxFetchRemoteService {
    private final CloseableHttpClient client = HttpPoolFactory.aigcPool();
    private static final String url = "http://8.217.190.241:8888/crawler/wei_xin/detail";


    public Map<String, String> getContent(String contentUrl) {
        Map<String, String> result = new HashMap<>();
        JSONObject bodyParam = new JSONObject();
        bodyParam.put("content_link", contentUrl);
        bodyParam.put("is_count", true);
        bodyParam.put("is_cache", false);
        try {
            HttpPost httpPost = new HttpPost(url);
            StringEntity stringEntity = new StringEntity(bodyParam.toJSONString(), StandardCharsets.UTF_8);
            httpPost.setHeader("Content-Type", "application/json;charset=UTF-8");
            httpPost.setEntity(stringEntity);
            CloseableHttpResponse response = client.execute(httpPost);
            StatusLine statusLine = response.getStatusLine();
            if (statusLine.getStatusCode() == 200) {
                HttpEntity responseEntity = response.getEntity();
                if (Objects.nonNull(responseEntity)) {
                    String responseBody = EntityUtils.toString(responseEntity, "UTF-8");
                    JSONObject jsonObject = JSONObject.parseObject(responseBody);
                    if (jsonObject.getInteger("code") == 0) {
                        JSONObject data = jsonObject.getJSONObject("data");
                        data = data.getJSONObject("data");
                        result.put("view_count", data.getString("view_count"));
                        result.put("title", data.getString("title"));
                    }
                }
            }
        } catch (Exception e) {
            log.error("getViewCount error", e);
        }
        return result;
    }

}
